org.apache.myfaces.trinidad.component

## Class UIXSelectInput

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXSelectInput

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    CoreInputColor, CoreInputDate, CoreInputListOfValues

      public class UIXSelectInput
      extends UIXEditableValue
      implements javax.faces.component.ActionSource2, javax.faces.component.ActionSource

  selectInput is a base abstraction for components that allow both input and selection from a list of possible values.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `javax.faces.event.ActionEvent` | Apply Request Values | Event delivered when the "action" of the component has been invoked; for example, by clicking on a button. The action may result in page navigation.
  `org.apache.myfaces.trinidad.event.ReturnEvent` | Apply Request Values | Event delivered when the dialog has completed successfully.
  `javax.faces.event.ValueChangeEvent` | Process Validations Apply Request Values | The valueChange event is delivered when the value attribute is changed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `ACTION_EXPRESSION_KEY`
    `static PropertyKey` | `ACTION_LISTENER_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `RETURN_LISTENER_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, REQUIRED_MESSAGE_ID, SUBMITTED_VALUE_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UIXSelectInput()` Construct an instance of the UIXSelectInput.
    `protected` | `UIXSelectInput(String rendererType)` Construct an instance of the UIXSelectInput.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(javax.faces.event.ActionListener listener)` Adds a action listener.
    `void` | `addReturnListener(ReturnListener listener)` Adds a return listener.
    `void` | `broadcast(javax.faces.event.FacesEvent event)` In addition to to the default `UIComponent.broadcast(javax.faces.event.FacesEvent)` processing, pass the `ValueChangeEvent` being broadcast to the method referenced by `valueChangeListener` (if any).
    `javax.faces.el.MethodBinding` | `getAction()`
    `javax.el.MethodExpression` | `getActionExpression()` Gets a reference to an action method sent by the commandButton, or the static outcome of an action
    `javax.faces.el.MethodBinding` | `getActionListener()` Deprecated.
    `javax.faces.event.ActionListener[]` | `getActionListeners()` Returns an array of attached action listeners.
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `javax.el.MethodExpression` | `getReturnListener()` Gets a method reference to an return listener
    `ReturnListener[]` | `getReturnListeners()` Returns an array of attached return listeners.
    `void` | `queueEvent(javax.faces.event.FacesEvent e)` Intercept `queueEvent` and mark the phaseId for any ActionEvents to be `PhaseId.APPLY_REQUEST_VALUES`.
    `void` | `removeActionListener(javax.faces.event.ActionListener listener)` Removes a action listener.
    `void` | `removeReturnListener(ReturnListener listener)` Removes a return listener.
    `void` | `setAction(javax.faces.el.MethodBinding binding)`
    `void` | `setActionExpression(javax.el.MethodExpression actionExpression)` Sets a reference to an action method sent by the commandButton, or the static outcome of an action
    `void` | `setActionListener(javax.faces.el.MethodBinding actionListener)` Deprecated.
    `void` | `setReturnListener(javax.faces.el.MethodBinding binding)` Deprecated.
    `void` | `setReturnListener(javax.el.MethodExpression returnListener)` Sets a method reference to an return listener

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, compareValues, getConvertedValue, getRequiredMessageDetail, getRequiredMessageKey, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate, validateValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `isImmediate, setImmediate`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### ACTION_EXPRESSION_KEY

          public static final PropertyKey ACTION_EXPRESSION_KEY

    - #### ACTION_LISTENER_KEY

          public static final PropertyKey ACTION_LISTENER_KEY

    - #### RETURN_LISTENER_KEY

          public static final PropertyKey RETURN_LISTENER_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXSelectInput

          public UIXSelectInput()

      Construct an instance of the UIXSelectInput.

    - #### UIXSelectInput

          protected UIXSelectInput(String rendererType)

      Construct an instance of the UIXSelectInput.

  - ### Method Detail

    - #### setReturnListener

          @Deprecated
          public void setReturnListener(javax.faces.el.MethodBinding binding)

      Deprecated.

    - #### getAction

          public javax.faces.el.MethodBinding getAction()

      Specified by:
        `getAction` in interface `javax.faces.component.ActionSource`

    - #### setAction

          public void setAction(javax.faces.el.MethodBinding binding)

      Specified by:
        `setAction` in interface `javax.faces.component.ActionSource`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent e)

      Intercept `queueEvent` and mark the phaseId for any ActionEvents to be `PhaseId.APPLY_REQUEST_VALUES`.

      Overrides:
        `queueEvent` in class `UIXComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      In addition to to the default `UIComponent.broadcast(javax.faces.event.FacesEvent)` processing, pass the `ValueChangeEvent` being broadcast to the method referenced by `valueChangeListener` (if any).
      Overrides:
        `broadcast` in class `UIXEditableValue`
      Parameters:
        `event` - `FacesEvent` to be broadcast
      Throws:
        `javax.faces.event.AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

    - #### getActionExpression

          public final javax.el.MethodExpression getActionExpression()

      Gets a reference to an action method sent by the commandButton, or the static outcome of an action
      Specified by:
        `getActionExpression` in interface `javax.faces.component.ActionSource2`
      Returns:
        the new actionExpression value

    - #### setActionExpression

          public final void setActionExpression(javax.el.MethodExpression actionExpression)

      Sets a reference to an action method sent by the commandButton, or the static outcome of an action
      Specified by:
        `setActionExpression` in interface `javax.faces.component.ActionSource2`
      Parameters:
        `actionExpression` - the new actionExpression value

    - #### getActionListener

          public final javax.faces.el.MethodBinding getActionListener()

      Deprecated.
      Gets a method reference to an action listener
      Specified by:
        `getActionListener` in interface `javax.faces.component.ActionSource`
      Returns:
        the new actionListener value

    - #### setActionListener

          public final void setActionListener(javax.faces.el.MethodBinding actionListener)

      Deprecated.
      Sets a method reference to an action listener
      Specified by:
        `setActionListener` in interface `javax.faces.component.ActionSource`
      Parameters:
        `actionListener` - the new actionListener value

    - #### getReturnListener

          public final javax.el.MethodExpression getReturnListener()

      Gets a method reference to an return listener
      Returns:
        the new returnListener value

    - #### setReturnListener

          public final void setReturnListener(javax.el.MethodExpression returnListener)

      Sets a method reference to an return listener
      Parameters:
        `returnListener` - the new returnListener value

    - #### addActionListener

          public final void addActionListener(javax.faces.event.ActionListener listener)

      Adds a action listener.
      Specified by:
        `addActionListener` in interface `javax.faces.component.ActionSource`
      Parameters:
        `listener` - the action listener to add

    - #### removeActionListener

          public final void removeActionListener(javax.faces.event.ActionListener listener)

      Removes a action listener.
      Specified by:
        `removeActionListener` in interface `javax.faces.component.ActionSource`
      Parameters:
        `listener` - the action listener to remove

    - #### getActionListeners

          public final javax.faces.event.ActionListener[] getActionListeners()

      Returns an array of attached action listeners.
      Specified by:
        `getActionListeners` in interface `javax.faces.component.ActionSource`
      Returns:
        an array of attached action listeners.

    - #### addReturnListener

          public final void addReturnListener(ReturnListener listener)

      Adds a return listener.
      Parameters:
        `listener` - the return listener to add

    - #### removeReturnListener

          public final void removeReturnListener(ReturnListener listener)

      Removes a return listener.
      Parameters:
        `listener` - the return listener to remove

    - #### getReturnListeners

          public final ReturnListener[] getReturnListeners()

      Returns an array of attached return listeners.
      Returns:
        an array of attached return listeners.

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXEditableValue`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXEditableValue`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.